Page MenuHomePhabricator

vcs-date returned by siteinfo/extension API call is current date time
Closed, ResolvedPublic

Description

Bug 48418 added the additional VCS fields that Special:Version displays into the siteinfo/extension API call. The vas-date property appears to be returning the current date instead of the correct date for the extension.

If you access

https://wikiapiary.com/w/api.php?action=query&meta=siteinfo&siprop=extensions&format=json

and note the vcs-date, they are all the same and they change with every reload.

You can also see this here

https://wikiapiary.com/w/index.php?title=WikiApiary/Extensions&diff=next&oldid=890646

and look at older edits to see the changes everytime WikiApiary updates.


Version: 1.23rc
Severity: normal

Details

Reference
bz64821

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:12 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz64821.
bzimport added a subscriber: Unknown Object (MLST).
thingles created this task.May 4 2014, 11:30 AM

Change 131469 had a related patch set uploaded by Anomie:
API: Check return value from $gitInfo->getHeadCommitDate()

https://gerrit.wikimedia.org/r/131469

Change 131469 merged by jenkins-bot:
API: Check return value from $gitInfo->getHeadCommitDate()

https://gerrit.wikimedia.org/r/131469

Anomie added a comment.May 5 2014, 4:46 PM

This change should be deployed to WMF wikis with 1.24wmf4, see https://www.mediawiki.org/wiki/MediaWiki_1.24/Roadmap for the schedule.

Change 131631 had a related patch set uploaded by MarkAHershberger:
API: Check return value from $gitInfo->getHeadCommitDate()

https://gerrit.wikimedia.org/r/131631

Change 131631 merged by jenkins-bot:
API: Check return value from $gitInfo->getHeadCommitDate()

https://gerrit.wikimedia.org/r/131631

(and backported to REL1_23; closing again)